As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 736058 - ringmark's Web Storage test fails
: ringmark's Web Storage test fails
Status: RESOLVED FIXED
[qa+]
: regression
Product: Core
Classification: Components
Component: DOM: Events (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla14
Assigned To: Olli Pettay [:smaug] (review queue closed until backlog cleared)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 730891
  Show dependency treegraph
 
Reported: 2012-03-15 06:55 PDT by alex_mayorga
Modified: 2012-05-11 06:56 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
patch (2.31 KB, patch)
2012-03-15 07:29 PDT, Olli Pettay [:smaug] (review queue closed until backlog cleared)
no flags Details | Diff | Splinter Review
patch (2.98 KB, patch)
2012-03-15 07:34 PDT, Olli Pettay [:smaug] (review queue closed until backlog cleared)
jonas: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
aurora (1.97 KB, patch)
2012-03-22 12:09 PDT, Olli Pettay [:smaug] (review queue closed until backlog cleared)
no flags Details | Diff | Splinter Review

Description User image alex_mayorga 2012-03-15 06:55:09 PDT
Web Storage test at http://rng.io/ is failing.

Initially reported at http://forums.mozillazine.org/viewtopic.php?p=11821601#p11821601

Previously it was fine.

Regression window:
Stop Ring 1 Complete (301 tests):
http://hg.mozilla.org/mozilla-central/rev/75b24396b0ce
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120308 Firefox/13.0a1 ID:20120308063137

Stop Testing: Web Storage...:
Error: Permission denied for <http://rng.io> to create wrapper for object of class UnnamedClass
Source file: http://rng.io/dist/ringmark.min.js
Line: 3
http://hg.mozilla.org/mozilla-central/rev/08809a43e082
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120308 Firefox/13.0a1 ID:20120308133632

Puslog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=75b24396b0ce&tochange=08809a43e082

Triggered by:
08809a43e082 Olli Pettay — Bug 730891, event ctor for StorageEvent, r=sicking,kyle
Comment 1 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-15 07:29:47 PDT
Created attachment 606202 [details] [diff] [review]
patch

Looks like the test wants to create an event in an old way, yet it 
tests the typeof window.StorageEvent.
Comment 2 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-15 07:30:10 PDT
(I'll add some test too)
Comment 3 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-15 07:34:48 PDT
Created attachment 606204 [details] [diff] [review]
patch
Comment 4 User image Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-03-15 13:24:23 PDT
Comment on attachment 606204 [details] [diff] [review]
patch

Review of attachment 606204 [details] [diff] [review]:
-----------------------------------------------------------------

I'd really prefer to get the spec changed to not require this behavior. .createEvent is a very silly API.

r=me if you really prefer to do this though.
Comment 5 User image alex_mayorga 2012-03-16 09:13:29 PDT
(In reply to Olli Pettay [:smaug] from comment #1)
> Looks like the test wants to create an event in an old way, yet it 
> tests the typeof window.StorageEvent.

If this is bad for the web at large, maybe is worth trying to contact the creators of the test to fix it.

No many contact details at http://rng.io/about/ though...
Comment 6 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-18 11:57:45 PDT
Comment on attachment 606204 [details] [diff] [review]
patch

I think we should land the patch, and if spec changes, remove support
for createEvent.
also, we should land this to Aurora too. I don't want to break pages too often.
Comment 7 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-18 13:45:39 PDT
https://hg.mozilla.org/mozilla-central/rev/58a2cd0203ee
Comment 8 User image Alex Keybl [:akeybl] 2012-03-20 13:28:36 PDT
(In reply to Olli Pettay [:smaug] from comment #6)
> Comment on attachment 606204 [details] [diff] [review]
> patch
> 
> I think we should land the patch, and if spec changes, remove support
> for createEvent.
> also, we should land this to Aurora too. I don't want to break pages too
> often.

Would you mind addressing the risk for this nomination?
Comment 9 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-20 13:37:36 PDT
Very low risk. We just enable creating storage events using document.createEvent()
Comment 10 User image Alex Keybl [:akeybl] 2012-03-20 17:26:42 PDT
Comment on attachment 606204 [details] [diff] [review]
patch

[Triage Comment]
Given the low risk evaluation, approved for Aurora 12.
Comment 11 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-21 12:24:58 PDT
Commit message: Bug 736058, support createEvent('StorageEvent'), r=sicking
Comment 12 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-21 13:42:19 PDT
So, checkin-needed for aurora.
Comment 13 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-22 12:09:24 PDT
Created attachment 608420 [details] [diff] [review]
aurora
Comment 14 User image Olli Pettay [:smaug] (review queue closed until backlog cleared) 2012-03-22 12:11:25 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/f9f77313b59e
Comment 15 User image Simona B [:simonab ] 2012-05-11 06:56:28 PDT
Verified on Firefox 13 beta 3 that the test from: http://rng.io/ passes and that no error like the one from the Description is thrown.

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.6:
Mozilla/5.0 (Windows NT 6.1; rv:13.0) Gecko/20100101 Firefox/13.0
Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:13.0) Gecko/20100101 Firefox/13.0

Note You need to log in before you can comment on or make changes to this bug.